QGIS Application - Bug report #16257
slow rendering in QGIS 2.14 while zooming
2017-03-01 04:06 AM - Seb Radzimski

Status: Closed

Priority: Normal

Assignee:

Category: Labelling

Affected QGIS version:2.14.12 Regression?: No
Operating System: Windows Easy fix?: No

Pull Request or Patch supplied: Resolution: end of life
Crashes QGIS or corrupls data: Copied to github as #: 24167
Description

Hi there!

| have a problem with migration my project to LTR version (2.14) of QGIS (from project created in QGIS 2.8 under Windows). | have
located this 'bug' between versions 2.10 and 2.12. It is revealed that the project created in QGIS 2.10, loaded in 2.12 (save and reload
not helping), freezes for a few seconds when zooming / distancing map. | think that is a problem with the labels but when panning map at
a constant scale everything works fine, regardless of the amount of information displayed. Project works on Postgis layers but i found the
same problem while working on SQLite files.

You can see this effect in short movie | have made (QGIS versions 2.8 and 2.18), but this problem started between 2.10 and 2.12 version
of QGIS.

https://youtu.be/TYfvcj06E1U

| know that the subject can get a little out of date but because of that, | have stuck in 2.8 QGIS.

Does anyone have an idea what is wrong?

Regards

History

#1 - 2017-05-01 01:01 AM - Giovanni Manghi
- Easy fix? set to No
- Regression? set to No

#2 - 2019-03-09 03:08 PM - Giovanni Manghi

- Resolution set to end of life

- Status changed from Open to Closed

End of life notice: QGIS 2.18 LTR

Source:
http://blog.qgis.org/2019/03/09/end-of-life-notice-qgis-2-18-Itr/

QGIS 3.4 has recently become our new Long Term Release (LTR) version. This is a major step in our history - a long term release version based on the
massive updates, library upgrades and improvements that we carried out in the course of the 2.x to 3x upgrade cycle.

We strongly encourage all users who are currently using QGIS 2.18 LTR as their preferred QGIS release to migrate to QGIS 3.4. This new LTR version
will receive regular bugdfixes for at least one year. It also includes hundreds of new functions, usability improvements, bugfixes, and other goodies. See the
relevant changelogs for a good sampling of all the new features that have gone into version 3.4

Most plugins have been either migrated or incorporated into the core QGIS code base.

We strongly discourage the continued use of QGIS 2.18 LTR as it is now officially unsupported, which means we’ll not provide any bug fix releases for it.
http://blog.qgis.org/2019/03/09/end-of-life-notice-qgis-2-18-ltr/

You should also note that we intend to close all bug tickets referring to the now obsolete LTR version. Original reporters will receive a notification of the

ticket closure and are encouraged to check whether the issue persists in the new LTR, in which case they should reopen the ticket.

If you would like to better understand the QGIS release roadmap, check out our roadmap page! It outlines the schedule for upcoming releases and will help
you plan your deployment of QGIS into an operational environment.

The development of QGIS 3.4 LTR has been made possible by the work of hundreds of volunteers, by the investments of companies, professionals, and

administrations, and by continuous donations and financial support from many of you. We sincerely thank you all and encourage you to collaborate and
support the project even more, for the long term improvement and sustainability of the QGIS project.
